org.apache.cassandra.db.filter

## Class ColumnSlice

- java.lang.Object
- - org.apache.cassandra.db.filter.ColumnSlice

-     public class ColumnSlice
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnSlice.NavigableMapIterator`
    `static class` | `ColumnSlice.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ColumnSlice` | `ALL_COLUMNS`
    `static ColumnSlice[]` | `ALL_COLUMNS_ARRAY`
    `java.nio.ByteBuffer` | `finish`
    `static ColumnSlice.Serializer` | `serializer`
    `java.nio.ByteBuffer` | `start`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnSlice(java.nio.ByteBuffer start, java.nio.ByteBuffer finish)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `boolean` | `includes(java.util.Comparator<java.nio.ByteBuffer> cmp, java.nio.ByteBuffer name)`
    `boolean` | `isAlwaysEmpty(AbstractType<?> comparator, boolean reversed)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final ColumnSlice.Serializer serializer

    - #### ALL_COLUMNS

          public static final ColumnSlice ALL_COLUMNS

    - #### ALL_COLUMNS_ARRAY

          public static final ColumnSlice[] ALL_COLUMNS_ARRAY

    - #### start

          public final java.nio.ByteBuffer start

    - #### finish

          public final java.nio.ByteBuffer finish

  - ### Constructor Detail

    - #### ColumnSlice

          public ColumnSlice(java.nio.ByteBuffer start,
                     java.nio.ByteBuffer finish)

  - ### Method Detail

    - #### isAlwaysEmpty

          public boolean isAlwaysEmpty(AbstractType<?> comparator,
                              boolean reversed)

    - #### includes

          public boolean includes(java.util.Comparator<java.nio.ByteBuffer> cmp,
                         java.nio.ByteBuffer name)

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation